@echo off & setlocal enableextensions

:: dataver.bat for caes. Revised 11/10/2018. M.J. Dallwitz.
:: Calls updver_.bat.

if "%1" equ "/?" (
   echo.
   echo Updates the version date in files, usually markhtm, toint, and tonath.
   echo The original file must contain 'Version', followed by any string of
   echo characters, and terminated by a full stop. This would usually be the
   echo version information inserted by the previous run of the program, e.g.
   echo 'Version: 22nd April 2018.'.
   echo.
   echo If other files need to be updated, make a copy of \delta\dataver.bat in 
   echo your data folder, and add calls to updver_ for the required files.
   exit /b 0
   )

echo.
echo.
echo ------------------------------------------------------------------------------
echo ----- Updating version date --------------------------------------------------
call updver_ index.htm || exit /b 1
call updver_ markhtm.en || exit /b 1
call updver_ markhtm.fr || exit /b 1
call updver_ toint.en || exit /b 1
call updver_ toint.fr || exit /b 1
call updver_ tonath.en || exit /b 1
call updver_ tonath.fr || exit /b 1
echo ------------------------------------------------------------------------------

exit /b 0
